Subject: Re: [Patch net-next 1/2] net_sched: fix errno in tcindex_set_parms()

From: John Fastabend <[email-masked]>
Date: Thu, 25 Sep 2014 17:27:34 -0700

On 09/25/2014 03:57 PM, John Fastabend wrote:
> On 09/25/2014 02:07 PM, John Fastabend wrote:
>> On 09/25/2014 12:06 PM, Cong Wang wrote:
>>> When kmemdup() fails, we should return -ENOMEM.
>>>
>>> Cc: John Fastabend <[email-masked]>
>>> Signed-off-by: Cong Wang <[email-masked]>
>>> ---
>>
>> Acked-by: John Fastabend <[email-masked]>
>>
>> Thanks Cong.
>>
> 
> Related to this we should probably push error messages
> from the dump routines correctly. If you see u32_dump()
> returns a -EINVAL even though it was due to a memory
> allocation failure. This is not necessarily due to my
> patches though I think the error returning from dump
> has always been a simple -1 value.
> 
> I'll take a look at it, unless you beat me to it, after
> I finish up the percpu stats which I'm doing now.
> 
> .John
> 

Also just in case you hit them, there is an suspicious
rcu usage from qdisc_watchdog and another from task_csl_state()
call in cls_cgroup.

The qdisc_watchdog is due to the annotation on the qdisc
and I'm not entirely convinced the cls_cgroup hasn't been
there all along.

I'm looking into them but most likely wont figure it out
tonight as I have to take off for a bit.

Thanks,
John